##### GENERAL STUFF #####

%define libname %mklibname exif 12

Summary:	Library to access EXIF files (extended JPEG files)
Name:		libexif
Version:	0.6.11
Release:	2mdk
License:	LGPL
Group:		Graphics
Url:		http://sourceforge.net/projects/libexif/

##### SOURCE FILES #####

Source: http://belnet.dl.sourceforge.net/sourceforge/libexif/libexif-%{version}.tar.bz2
Patch0: libexif-0.6.11-buffer-overflow.patch.bz2

##### ADDITIONAL DEFINITIONS #####

Provides:	libexif
BuildRoot: %{_tmppath}/%{name}-buildroot

##### SUB-PACKAGES #####

%description

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n %libname
Summary:	Library to access EXIF files (extended JPEG files)
Provides:	libexif
Group:		Graphics

%description -n %libname

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n %{libname}-devel
Summary: 	Headers and links to compile against the "%{libname}" library
Requires: 	%{libname} = %{version}
Provides:	libexif-devel
Group:		Graphics

%description -n %{libname}-devel
This package contains all files which one needs to compile programs using
the "%{libname}" library.


##### PREP #####

%prep
rm -rf $RPM_BUILD_DIR/libexif-%{version}
%setup -q -n libexif-%{version}
%patch0 -p0

##### BUILD #####

%build
# "autogen" is needed because we have a CVS snapshot.
#./autogen.sh

# Fix broken "./configure" script
perl -p -i -e 's:^(AC_OUTPUT.*)$:$1 po/Makefile.in:' configure.in
autoconf-2.5x

%configure
%make

##### INSTALL #####

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# Install the README files of the source tarball in the doc directory
#cp *.txt $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}

%find_lang %{name}

##### PRE/POST INSTALL SCRIPTS #####

%post -n %{libname} 

/sbin/ldconfig

%postun -n %{libname} 

/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### libgpio0
%files -n %libname
%defattr(-,root,root)
%doc ABOUT-NLS COPYING ChangeLog README
%{_libdir}/*.so.*
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/*
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/*
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/*

##### libgpio0-devel
%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*

##### CHANGELOG #####

%changelog
* Thu Mar 31 2005 Till Kamppeter <till@mandrakesoft.com> 0.6.11-2mdk
- SECURITY FIX: Fixed MDKSA-2005:064 (bug 15139).

* Sat Nov 27 2004 Till Kamppeter <till@mandrakesoft.com> 0.6.11-1mdk
- Updated to version 0.6.11.

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 0.5.12-3mdk
- rebuild for new pkgconfig Requires

* Mon Sep 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.12-2mdk
- use mklibname

* Fri Aug 15 2003 Till Kamppeter <till@mandrakesoft.com> 0.5.12-1mdk
- Updated to version 0.5.12.

* Sat Jul 26 2003 Till Kamppeter <till@mandrakesoft.com> 0.5.10-1mdk
- Updated to version 0.5.10.

* Thu Jan 16 2003 Till Kamppeter <till@mandrakesoft.com> 0.5.9-1mdk
- Updated to version 0.5.9.

* Thu Dec  5 2002 Till Kamppeter <till@mandrakesoft.com> 0.5.7-1mdk
- Updated to version 0.5.7.

* Fri Aug  2 2002 Till Kamppeter <till@mandrakesoft.com> 0.5.4-1mdk
- Updated to version 0.5.4.

* Tue Jul  2 2002 Till Kamppeter <till@mandrakesoft.com> 0.5.3-1mdk
- Initial release

